Bug 1238611 - [ALL LANG] Error message pops up while saving text with kwrite-15.04.0-1.fc22
Summary: [ALL LANG] Error message pops up while saving text with kwrite-15.04.0-1.fc22
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kate
Version: 22
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-02 09:37 UTC by sandeep shedmake
Modified: 2015-07-03 18:45 UTC (History)
12 users (show)

Fixed In Version: kate-15.04.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-03 18:45:55 UTC
Type: Bug


Attachments (Terms of Use)
image showing the error msg while saving the text (1.65 MB, image/png)
2015-07-02 09:48 UTC, sandeep shedmake
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1238625 None CLOSED kwrite is missing in Component list at https://bugzilla.redhat.com for 'Product: Fedora' 2018-12-19 22:42:39 UTC

Internal Links: 1238625

Description sandeep shedmake 2015-07-02 09:37:51 UTC
Description of problem:
Error message pops up while saving text with kwrite

Version-Release number of selected component (if applicable):
kwrite-15.04.0-1.fc22

How reproducible:
Always

Steps to Reproduce:
1. Launch kwrite from terminal
2. Type some text using IME of your choice
3. Ctrl_S or Fn_Ctrl_S to save the text

Actual results:
Text is not saved and following error message pops up:
"Could not start process Cannot talk to klauncher: The name org.kde.klauncher5 was not provided by any .service files."

Expected results:
Text gets saved with no error message

Additional info:
http://fpaste.org/238742/43582969/

Comment 1 sandeep shedmake 2015-07-02 09:48:04 UTC
Created attachment 1045430 [details]
image showing the error msg while saving the text

Comment 2 sandeep shedmake 2015-07-02 10:24:15 UTC
Note:

While filing this bugzilla, kwrite was not available in the 'Component' list [1]. Thereby, temporarily filed against 'kwrited'.



[1] https://bugzilla.redhat.com/show_bug.cgi?id=1238625

Comment 3 Krishna Babu K 2015-07-02 12:52:44 UTC
Noticed problem present for zh_CN locale. Message is 
"无法启动进程 无法和 klauncher 通信:The name org.kde.klauncher5 was not provided by any .service files"

Comment 4 Rex Dieter 2015-07-02 13:03:05 UTC
Is kf5-kinit pkg installed?  If not, does installing it help?

Comment 5 sandeep shedmake 2015-07-02 13:19:54 UTC
(In reply to Rex Dieter from comment #4)
> Is kf5-kinit pkg installed?  If not, does installing it help?

No, 'kf5-kinit' pkg was not installed.

However, post installation the said error message doesn't pop up any-more.
Yes, helpful.

Comment 6 Rex Dieter 2015-07-02 13:21:19 UTC
OK, I'm working on fixing this elsewhere, will let you know when a fix is available.

Comment 7 Fedora Update System 2015-07-02 17:42:22 UTC
kate-15.04.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kate-15.04.3-1.fc22

Comment 8 lnie 2015-07-03 06:47:20 UTC
kate-15.04.3-1.fc22 works

Comment 9 sandeep shedmake 2015-07-03 07:14:32 UTC
From Comment 7,

With kwrite-15.04.3-1.fc22, error message doesn't pop any-more while saving text.

Comment 10 sandeep shedmake 2015-07-03 07:17:58 UTC
Err.. moving back to MODIFIED.

Comment 11 Krishna Babu K 2015-07-03 11:34:42 UTC
kwrite-15.04.3-1.fc22 works fine for zh_CN locale as well.

Comment 12 Fedora Update System 2015-07-03 18:45:55 UTC
kate-15.04.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.